package cn.com.countrygarden.bi.main.dao.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxOriginalityDto;
import cn.com.countrygarden.bi.main.model.wcx.WcxOriginality;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

/**
 * Created by Administrator on 2018/6/13.
 */
public interface WcxOriginalityMapper extends Mapper<WcxOriginality> {

    List<WcxOriginalityDto> selectPageData(WcxOriginalityDto dto);

    Integer selectPageCount(WcxOriginalityDto dto);

    /**
     * 最佳点赞手
     * @param dto
     * @return
     */
    List<WcxOriginalityDto> selectBestPutPointPageData(WcxOriginalityDto dto);

    Integer selectBestPutPointPageCount(WcxOriginalityDto dto);
}
